# How to contribute

Thanks for considering a contribution to the BrowserID-Wordpress plugin! This project would not be in nearly as good of shape as it is without community contributions!

## Getting Started
1. Fork the repo
2. Clone the repo locally
3. Copy the repo directory to your Wordpress installation's plugins directory
4. Activate the plugin through the Plugins menu in Wordpress
5. Have fun!

## Testing &amp; Reporting Errors

Testing and reporting errors is the easiest way to meaniningfully contribute to the BrowserID-Wordpress project. Report errors is easy, just visit the project's [issue list](https://github.com/shane-tomlinson/browserid-wordpress/issues) and click on ["New issue"](https://github.com/shane-tomlinson/browserid-wordpress/issues/new).

### Before reporting errors

Before reporting a new error, search through the existing list of issues to see something similar already been reported. If it has, pile on in that issue's comments!

### What is a helpful error report?

Some error reports are more useful than others. Just saying "X doesn't work" is usually not useful without context. An error report should contain as much information as possible, including plugin version, PHP version, server software, possibly a screen shot, and most importantly, an easy to follow set of Steps To Reproduce (STRs). STRs are the most reliable and fastest way of getting your bug fixed.

[Issue #9](https://github.com/shane-tomlinson/browserid-wordpress/issues/9) is an example of a very useful report. The amount of text is short but it provides all the information necessary to identify and reproduce the problem.


## Making Changes to the Code
1. Fork the repo
2. Clone the repo locally
3. Copy the repo directory to your Wordpress installation's plugins directory
4. Make your changes
5. Copy your changes back to the clone
6. Commit changes to your fork
7. Push to your fork and submit a pull request


## Translations and I18n

[browserid.pot](https://github.com/shane-tomlinson/browserid-wordpress/blob/master/browserid.pot) is a .POT file that contains off of the strings used in the plugin. Any of the [popular tools](http://codex.wordpress.org/Translating_WordPress#Translation_Tools) can be used to translate the strings contained in the .POT file into the language of your choice. Translated .mo files can be submitted using a pull request or by emailing them to me at [shane@shanetomlinson.com](mailto:shane@shanetomlinson.com)


